> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/rest-api/analytics/derivatives-risk-indicators/implied-volatility-calculation-surface.md).

# Implied volatility calculation - surface

{% hint style="info" %}

### This data is included in the following Kaiko packages:

* Kaiko Derivatives Risk Indicators \[Advanced Tier]
  {% endhint %}

### What is this endpoint for? <a href="#what-is-this-endpoint-for" id="what-is-this-endpoint-for"></a>

The IV surface endpoint lets you calculate volatility from options market prices. Feed the endpoint a set of maturity dates or timeframes for when options can be exercised, and you'll receive a volatility surface, which shows how volatility changes over different dates and prices.

You can get volatility estimates based on:

* A specific set of strike prices
* A forward-log-moneyness grid
* A specific set of delta values
* A delta grid

The calculation methodology leverages space and time interpolation.

**Currently supported assets and exchanges:**

* BTC, ETH, SOL, and XRP on Deribit.
* BTC, ETH on OKX.
* BTC, ETH on Deribit & OKX (aggregated).

If you need data from other exchanges, we can add them on request.

Read our Implied Volatility Methodology [here](https://25446524.fs1.hubspotusercontent-eu1.net/hubfs/25446524/Factsheets/Kaiko%20Implied%20Volatility%20Methodology.pdf).

### Endpoint

{% code overflow="wrap" %}

```http
https://{eu/us}.market-api.kaiko.io/v2/data/analytics.v2/implied_volatility_surface
```

{% endcode %}

### Path Parameters

| Parameter | Required? | Example                       |
| --------- | --------- | ----------------------------- |
| `region`  | Yes       | Choose between `eu` and `us`. |

### Query Parameters

{% hint style="warning" %}

* Short listed-maturities (e.g. 7 days time-to-maturity) are only available for individual exchanges.
* Time extrapolation is not permitted. I.e. the shortest requested expiry should be after the exchange's shortest expiry, and the furthest requested expiry must be before the exchange's latest expiry. If these conditions are not met, only a partial surface will be returned within the available expiry range. The completeness of the output is indicated in the `complete_output` field.
* Strikes and forward-log-moneynesses are only available when retrieving implied volatilities by strikes or forward-log-moneynesses (not by delta).
  {% endhint %}

<table><thead><tr><th width="136">Parameter</th><th width="154">Required</th><th width="300">Description</th><th>Example</th></tr></thead><tbody><tr><td><code>base</code></td><td>Yes</td><td>The desired base as the underlying of the options.<br><br>See asset support above.</td><td><code>btc</code>, <code>eth</code></td></tr><tr><td><code>quote</code></td><td>Yes</td><td>The desired quote as the underlying of the options.<br><br>See asset support above.</td><td><code>usd</code></td></tr><tr><td><code>exchanges</code></td><td>Yes</td><td>The desired exchange as source of options data.<br><br>See exchange support above.</td><td><code>drbt</code></td></tr><tr><td><code>value_time</code></td><td>Yes</td><td>The time at which to compute implied volatilities<br><br>The time <em>t</em> should be smaller than the lowest requested expiry.</td><td><code>2022-06-25T16:00:00.000Z</code></td></tr><tr><td><code>expiry_list</code></td><td>Yes, if the set of parameters (<code>tte_min</code>, <code>tte_max</code>, <code>tte_step</code>) is not used.</td><td><p>The expiries for which the implied volatilities are to be computed. Expiries can be listed or non-listed ones.</p><ul><li>Expiries should be between minimum and maximum listed maturities on exchange. If not, a partial output will be returned.</li><li>Either <code>expiry_list</code> or (<code>tte_min</code>, <code>tte_max</code>, <code>tte_step</code>) should be filled.</li></ul></td><td><code>expiry_list=2022-08-28T08:00:00.000Z, 2022-08-30T08:00:00.000Z</code><br>or <code>tte_min=0.034288&#x26;tte_max=1&#x26;tte_step=0.02</code></td></tr><tr><td><code>tte_min</code></td><td>Yes, if <code>expiry_list</code> is not used. To be used along with <code>tte_max</code>, <code>tte_step</code>.</td><td><p>Minimum time-to-expiry on the time grid.</p><ul><li>Strictly positive value allowed.</li><li>If the `tte_min` is below the time to expiry associated with the minimum listed maturity, partial output will be returned.</li><li>Either <code>expiry_list</code> or (<code>tte_min</code>, <code>tte_max</code>, <code>tte_step</code>) should be filled.</li></ul></td><td><code>0.034288</code></td></tr><tr><td><code>tte_max</code></td><td>Yes, if <code>expiry_list</code> is not used. To be used along with <code>tte_min</code>, <code>tte_step</code>.</td><td><p>Maximum time-to-expiry on the time grid.</p><ul><li>Strictly positive value above the `tte_min`.</li><li>If the `tte_max` is above the time to expiry associated with the maximum listed maturity, partial output will be returned.</li><li>Either <code>expiry_list</code> or <code>(tte_min, tte_max,tte_step)</code> should be filled.</li></ul></td><td><code>1</code></td></tr><tr><td><code>tte_step</code></td><td>Yes, if <code>expiry_list</code> is not used. To be used along with <code>tte_min</code>, <code>tte_max</code>.</td><td><p>Step between two time-to-expiries in time grid.</p><ul><li>Strictly positive value allowed.</li><li>Either <code>expiry_list</code> or <code>(tte_min, tte_max, tte_step)</code> should be filled.</li></ul></td><td><code>0.02</code></td></tr><tr><td><code>strike_list</code></td><td>Yes, if the set of parameters (<code>f_log_min</code>, <code>f_log_max</code>, <code>f_log_step</code>) or <code>deltas</code> or the set of parameters (<code>delta_min</code>, <code>delta_max</code>, <code>delta_step</code>) are not used.</td><td><p>The strike prices for which the implied volatilities are to be computed. Strike prices can be listed or non-listed ones.</p><ul><li>Strictly positives values allowed.</li><li>Either <code>strike_list</code> , (<code>f_log_m_min</code>, <code>f_log_m_max</code>, <code>f_log_m_step</code>), <code>deltas</code> or<br>(<code>delta_min</code>, <code>delta_max</code>, <code>delta_step</code>) should be filled.</li></ul></td><td><code>strike_list=25000, 29150, 29155, 29160</code><br>or <code>f_log_m_min=-1.5&#x26;f_log_m_max=1.5&#x26;f_log_m_step=0.05</code></td></tr><tr><td><code>f_log_m_min</code></td><td>Yes, if <code>strike_list</code> or <code>deltas</code> or the set of parameters (<code>delta_min</code>, <code>delta_max</code>, <code>delta_step</code>) are not used.<br>To be used along with <code>f_log_m_max</code>, <code>f_log_m_step</code>.</td><td><p>Minimum forward log-moneyness on the space grid.<br></p><ul><li>Either <code>strike_list</code> , (<code>f_log_m_min</code>, <code>f_log_m_max</code>, <code>f_log_m_step</code>), <code>deltas</code> or<br>(<code>delta_min</code>, <code>delta_max</code>, <code>delta_step</code>) should be filled.</li></ul></td><td><code>-1.5</code></td></tr><tr><td><code>f_log_m_max</code></td><td>Yes, if <code>strike_list</code> or <code>deltas</code> or the set of parameters (<code>delta_min</code>, <code>delta_max</code>, <code>delta_step</code>) are not used.<br>To be used along with <code>f_log_m_min</code>, <code>f_log_m_step</code>.</td><td><p>Maximum forward log-moneyness on the space grid.<br></p><ul><li>Either <code>strike_list</code> , (<code>f_log_m_min</code>, <code>f_log_m_max</code>, <code>f_log_m_step</code>), <code>deltas</code> or<br>(<code>delta_min</code>, <code>delta_max</code>, <code>delta_step</code>) should be filled.</li></ul></td><td><code>1</code></td></tr><tr><td><code>f_log_m_step</code></td><td>Yes, if <code>strike_list</code> or <code>deltas</code> or the set of parameters (<code>delta_min</code>, <code>delta_max</code>, <code>delta_step</code>) are not used.<br>To be used along with <code>f_log_m_min</code>, <code>f_log_m_max</code>.</td><td><p>Step between two forward log moneyness in space grid.</p><ul><li>Either <code>strike_list</code> , (<code>f_log_m_min</code>, <code>f_log_m_max</code>, <code>f_log_m_step</code>), <code>deltas</code> or<br>(<code>delta_min</code>, <code>delta_max</code>, <code>delta_step</code>) should be filled.</li></ul></td><td><code>0.02</code></td></tr><tr><td><code>deltas</code></td><td>Yes, if <code>strike_list</code> or the sets of parameters <code>(delta_min, delta_max, delta_step)</code> or (<code>f_log_m_min</code>, <code>f_log_m_max</code>, <code>f_log_m_step</code>) are not used.</td><td><p>The delta levels (of a Call option) for which the implied volatilities are to be computed.</p><ul><li>Only delta values between <code>0.01</code> and <code>0.99</code> are allowed.</li><li>Either <code>strike_list</code> , (<code>f_log_m_min</code>, <code>f_log_m_max</code>, <code>f_log_m_step</code>), <code>deltas</code> or<br>(<code>delta_min</code>, <code>delta_max</code>, <code>delta_step</code>) should be filled.</li></ul></td><td><code>deltas=0.25,0.5,0.75</code></td></tr><tr><td><code>delta_min</code></td><td>Yes, if <code>strike_list</code> or <code>deltas</code> or the set of parameters (<code>f_log_m_min</code>, <code>f_log_m_max</code>, <code>f_log_m_step</code>) are not used. To be used along with <code>delta_max</code>, <code>delta_step</code>.</td><td><p>Minimum delta (of a Call option) on the space grid.</p><ul><li>Only delta values between <code>0.01</code> and <code>0.99</code> are allowed.</li><li>Either <code>strike_list</code> , (<code>f_log_m_min</code>, <code>f_log_m_max</code>, <code>f_log_m_step</code>), <code>deltas</code> or<br>(<code>delta_min</code>, <code>delta_max</code>, <code>delta_step</code>) should be filled.</li></ul></td><td><code>0.01</code></td></tr><tr><td><code>delta_max</code></td><td>Yes, if <code>strike_list</code> or <code>deltas</code> or the set of parameters (<code>f_log_m_min</code>, <code>f_log_m_max</code>, <code>f_log_m_step</code>) are not used. To be used along with <code>delta_min</code>, <code>delta_step</code>.</td><td><p>Maximum delta (of a Call option) on the space grid.</p><ul><li>Only delta values between <code>0.01</code> and <code>0.99</code> are allowed.</li><li>Either <code>strike_list</code> , (<code>f_log_m_min</code>, <code>f_log_m_max</code>, <code>f_log_m_step</code>), <code>deltas</code> or<br>(<code>delta_min</code>, <code>delta_max</code>, <code>delta_step</code>) should be filled.</li></ul></td><td><code>0.99</code></td></tr><tr><td><code>delta_step</code></td><td>Yes, if <code>strike_list</code> or <code>deltas</code> or the set of parameters (<code>f_log_m_min</code>, <code>f_log_m_max</code>, <code>f_log_m_step</code>) are not used. To be used along with <code>delta_min</code>, <code>delta_max</code>.</td><td><p>Step between two deltas (of a Call option) on the space grid.</p><ul><li>Either <code>strike_list</code> , (<code>f_log_m_min</code>, <code>f_log_m_max</code>, <code>f_log_m_step</code>), <code>deltas</code> or<br>(<code>delta_min</code>, <code>delta_max</code>, <code>delta_step</code>) should be filled.</li></ul></td><td></td></tr></tbody></table>

### Fields

| Field                   | Description                                                                                                               | Example                   |
| ----------------------- | ------------------------------------------------------------------------------------------------------------------------- | ------------------------- |
| complete\_output        | This indicates whether the output covers the entire requested range within the listed expiries, or only the valid subset. | True                      |
| `value_time`            | The time in parameter                                                                                                     | `2022-06-25T16:00:00Z`    |
| `expiry`                | The expiry at which the IV has been interpolated.                                                                         | `2022-08-28T08:00:00Z`    |
| `time_to_expiry`        | The associated time-to-expiry (in year).                                                                                  | `0.17442922374429223`     |
| `strike`                | <p>The strike at which the IV has been computed.<br>Not provided when the input is a delta list.</p>                      | `265.88827409960714`      |
| `forward_log_moneyness` | <p>The associated forward log-moneyness.<br>Not provided when the input is a delta list.</p>                              | `-1.5`                    |
| `implied_volatility`    | The calibrated and interpolated implied volatilities.                                                                     | `1.8088997727784055`      |
| `delta`                 | The first derivative of the price (of a Call option) with regards to the underlying price                                 | `-0.009058250602524742`   |
| `gamma`                 | The second derivative of the price with regards to the underlying price                                                   | `0.000027152549142705487` |
| `vega`                  | The first derivative of the price with regards to implied volatility.                                                     | `18.73162001892539`       |
| `theta`                 | The first derivative of the price with regards to the passage of time (or time to expiration).                            | `-194.40147413397432`     |
| `interest_rate`         | The implied interest rate.                                                                                                | `0.14954983972466698`     |
| `current_spot`          | The underlying spot price at the value timestamp.                                                                         | `71717`                   |

### Request examples

{% tabs %}
{% tab title="cURL" %}
**Use this example to calculate IV Surface using Deltas.**

{% code overflow="wrap" %}

```url
https://us.market-api.kaiko.io/v2/data/analytics.v2/implied_volatility_surface?base=btc&quote=usd&exchanges=drbt%2Cokex&value_time=2024-09-12T10%3A00%3A00.000Z&expiry_list=2024-09-20T08%3A00%3A00.000Z%2C2024-09-27T08%3A00%3A00.000Z%2C2024-10-04T08%3A00%3A00.000Z%2C2024-10-25T08%3A00%3A00.000Z%2C2024-11-08T08%3A00%3A00.000Z&delta_min=0.1&delta_max=0.9&delta_step=0.1
```

{% endcode %}

**Use this example to calculate IV Surface using forward log moneyness.**

{% code overflow="wrap" %}

```
https://us.market-api.kaiko.io/v2/data/analytics.v2/implied_volatility_surface?base=btc&quote=usd&exchanges=drbt&value_time=2024-09-12T10%3A00%3A00.000Z&tte_min=0.01&tte_max=1.&tte_step=0.02&f_log_m_min=-0.5&f_log_m_max=0.5&f_log_m_step=0.5
```

{% endcode %}

**Use this example to calculate IV Surface using strikes.**

{% code overflow="wrap" %}

```url
https://us.market-api.kaiko.io/v2/data/analytics.v2/implied_volatility_surface?base=btc&quote=usd&exchanges=drbt&value_time=2024-09-12T10%3A00%3A00.000Z&tte_min=0.01&tte_max=1.&tte_step=0.02&strike_list=55000%2C56000%2C57000%2C58000%2C59000%2C60000
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response examples

{% code overflow="wrap" %}

```json
{
    "query":{
       "base":"btc",
       "quote":"usd",
       "exchanges":[
          "drbt",
          "okex"
       ],
       "value_time":"2024-09-12T10:00:00.000Z",
       "data_version":"v2",
       "commodity":"analytics",
       "request_time":"2024-09-12T17:12:07.699Z"
    },
    "time":"2024-09-12T17:12:07.699Z",
    "timestamp":1726161128874,
    "complete_output":true,
    "data":[
       {
          "value_time":"2024-09-12T10:00:00.000Z",
          "expiry":"2024-09-20T08:00:00.000Z",
          "time_to_expiry":0.021689497716894976,
          "implied_volatilities":[
             {
                "implied_volatility":0.55567045411767,
                "delta":0.1,
                "interest_rate":0.05222290146213202,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5304086533216835,
                "delta":0.2,
                "interest_rate":0.05222290146213202,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5204807466788227,
                "delta":0.30000000000000004,
                "interest_rate":0.05222290146213202,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5176080670107802,
                "delta":0.4,
                "interest_rate":0.05222290146213202,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5198235126846833,
                "delta":0.5,
                "interest_rate":0.05222290146213202,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5271474253673343,
                "delta":0.6,
                "interest_rate":0.05222290146213202,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5412722397557681,
                "delta":0.7,
                "interest_rate":0.05222290146213202,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5672860200574902,
                "delta":0.7999999999999999,
                "interest_rate":0.05222290146213202,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.6234279466167519,
                "delta":0.8999999999999999,
                "interest_rate":0.05222290146213202,
                "current_spot":58033.01112255454
             }
          ]
       },
       {
          "value_time":"2024-09-12T10:00:00.000Z",
          "expiry":"2024-09-27T08:00:00.000Z",
          "time_to_expiry":0.0408675799086758,
          "implied_volatilities":[
             {
                "implied_volatility":0.5621097108504748,
                "delta":0.1,
                "interest_rate":0.052497499225334636,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5272061410113572,
                "delta":0.2,
                "interest_rate":0.052497499225334636,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5131506051610666,
                "delta":0.30000000000000004,
                "interest_rate":0.052497499225334636,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5082456534252546,
                "delta":0.4,
                "interest_rate":0.052497499225334636,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5095651826004636,
                "delta":0.5,
                "interest_rate":0.052497499225334636,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.51677777797711,
                "delta":0.6,
                "interest_rate":0.052497499225334636,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5314642342464321,
                "delta":0.7,
                "interest_rate":0.052497499225334636,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5587288797341338,
                "delta":0.7999999999999999,
                "interest_rate":0.052497499225334636,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.6167183766301421,
                "delta":0.8999999999999999,
                "interest_rate":0.052497499225334636,
                "current_spot":58033.01112255454
             }
          ]
       },
       {
          "value_time":"2024-09-12T10:00:00.000Z",
          "expiry":"2024-10-04T08:00:00.000Z",
          "time_to_expiry":0.06004566210045662,
          "implied_volatilities":[
             {
                "implied_volatility":0.5666208561497174,
                "delta":0.1,
                "interest_rate":0.06524195117082478,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5323692982650756,
                "delta":0.2,
                "interest_rate":0.06524195117082478,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5186955773995799,
                "delta":0.30000000000000004,
                "interest_rate":0.06524195117082478,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5138985541028067,
                "delta":0.4,
                "interest_rate":0.06524195117082478,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5150201900956664,
                "delta":0.5,
                "interest_rate":0.06524195117082478,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5216164561118771,
                "delta":0.6,
                "interest_rate":0.06524195117082478,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5349940736116142,
                "delta":0.7,
                "interest_rate":0.06524195117082478,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5595467577751186,
                "delta":0.7999999999999999,
                "interest_rate":0.06524195117082478,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.6109550611499716,
                "delta":0.8999999999999999,
                "interest_rate":0.06524195117082478,
                "current_spot":58033.01112255454
             }
          ]
       },
       {
          "value_time":"2024-09-12T10:00:00.000Z",
          "expiry":"2024-10-25T08:00:00.000Z",
          "time_to_expiry":0.11757990867579908,
          "implied_volatilities":[
             {
                "implied_volatility":0.5922138420961504,
                "delta":0.1,
                "interest_rate":0.06444166091264596,
                "current_spot":58033.0026110549
             },
             {
                "implied_volatility":0.5520922097809197,
                "delta":0.2,
                "interest_rate":0.06444166091264596,
                "current_spot":58033.0026110549
             },
             {
                "implied_volatility":0.5329630080551225,
                "delta":0.30000000000000004,
                "interest_rate":0.06444166091264596,
                "current_spot":58033.0026110549
             },
             {
                "implied_volatility":0.5231218680220053,
                "delta":0.4,
                "interest_rate":0.06444166091264596,
                "current_spot":58033.0026110549
             },
             {
                "implied_volatility":0.5194493140150083,
                "delta":0.5,
                "interest_rate":0.06444166091264596,
                "current_spot":58033.0026110549
             },
             {
                "implied_volatility":0.5213876755567547,
                "delta":0.6,
                "interest_rate":0.06444166091264596,
                "current_spot":58033.0026110549
             },
             {
                "implied_volatility":0.5302377211015243,
                "delta":0.7,
                "interest_rate":0.06444166091264596,
                "current_spot":58033.0026110549
             },
             {
                "implied_volatility":0.550749699660159,
                "delta":0.7999999999999999,
                "interest_rate":0.06444166091264596,
                "current_spot":58033.0026110549
             },
             {
                "implied_volatility":0.6010333506232379,
                "delta":0.8999999999999999,
                "interest_rate":0.06444166091264596,
                "current_spot":58033.0026110549
             }
          ]
       },
       {
          "value_time":"2024-09-12T10:00:00.000Z",
          "expiry":"2024-11-08T08:00:00.000Z",
          "time_to_expiry":0.15593607305936072,
          "implied_volatilities":[
             {
                "implied_volatility":0.6624300907047234,
                "delta":0.1,
                "interest_rate":0.06396819887540026,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.6181620638701805,
                "delta":0.2,
                "interest_rate":0.06396819887540026,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5977210831388879,
                "delta":0.30000000000000004,
                "interest_rate":0.06396819887540026,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5873014915704046,
                "delta":0.4,
                "interest_rate":0.06396819887540026,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5831399288267296,
                "delta":0.5,
                "interest_rate":0.06396819887540026,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5842407024308494,
                "delta":0.6,
                "interest_rate":0.06396819887540026,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.5912675169813805,
                "delta":0.7,
                "interest_rate":0.06396819887540026,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.6074281344387386,
                "delta":0.7999999999999999,
                "interest_rate":0.06396819887540026,
                "current_spot":58033.01112255454
             },
             {
                "implied_volatility":0.6449624313701908,
                "delta":0.8999999999999999,
                "interest_rate":0.06396819887540026,
                "current_spot":58033.01112255454
             }
          ]
       }
    ],
    "result":"success",
    "access":{
       "access_range":{
          "start_timestamp":1262304000000,
          "end_timestamp":1924991999000
       },
       "data_range":{
          "start_timestamp":1262304000000,
          "end_timestamp":1924991999000
       }
    }
 }
```

{% endcode %}

```json
{
   "query":{
      "base":"btc",
      "quote":"usd",
      "exchanges":[
         "drbt"
      ],
      "value_time":"2024-09-12T10:00:00.000Z",
      "data_version":"v2",
      "commodity":"analytics",
      "request_time":"2024-09-13T10:22:26.108Z"
   },
   "time":"2024-09-13T10:22:26.108Z",
   "timestamp":1726222946604,
   "complete_output":false,
   "data":[
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-09-16T01:36:00.000Z",
         "time_to_expiry":0.01,
         "implied_volatilities":[
            {
               "strike":35205.07731688165,
               "forward_log_moneyness":-0.5,
               "implied_volatility":1.219961822819801,
               "delta":0.9999840518413259,
               "gamma":9.862878922173833e-09,
               "interest_rate":0.029882129261974883,
               "current_spot":58026.01780838781
            },
            {
               "strike":58043.35980898536,
               "forward_log_moneyness":0,
               "implied_volatility":0.47173352808037106,
               "delta":0.5094088500573186,
               "gamma":0.00014570314379410554,
               "interest_rate":0.029882129261974883,
               "current_spot":58026.01780838781
            },
            {
               "strike":95697.3219399751,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.9995009904225983,
               "delta":3.662902785528388e-07,
               "gamma":3.2466205143302194e-10,
               "interest_rate":0.029882129261974883,
               "current_spot":58026.01780838781
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-09-23T08:48:00.000Z",
         "time_to_expiry":0.03,
         "implied_volatilities":[
            {
               "strike":35258.65197953432,
               "forward_log_moneyness":-0.5,
               "implied_volatility":1.0227076131194504,
               "delta":0.998199924676951,
               "gamma":5.605337511004371e-07,
               "interest_rate":0.06064841675926235,
               "current_spot":58026.01780838785
            },
            {
               "strike":58131.68949487142,
               "forward_log_moneyness":0,
               "implied_volatility":0.5150355416768742,
               "delta":0.517788278262302,
               "gamma":7.69939568408782e-05,
               "interest_rate":0.06064841675926235,
               "current_spot":58026.01780838785
            },
            {
               "strike":95842.95297192968,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.8521845389437603,
               "delta":0.00046039932852065535,
               "gamma":1.922319739897016e-07,
               "interest_rate":0.06064841675926235,
               "current_spot":58026.01780838785
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-09-30T16:00:00.000Z",
         "time_to_expiry":0.05,
         "implied_volatilities":[
            {
               "strike":35306.34125006645,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.9000176772559828,
               "delta":0.9951324086246934,
               "gamma":1.2089704742589137e-06,
               "interest_rate":0.06342187503569374,
               "current_spot":58026.01780838792
            },
            {
               "strike":58210.3158095819,
               "forward_log_moneyness":0,
               "implied_volatility":0.51382233838562,
               "delta":0.522905471292496,
               "gamma":5.9740914598632886e-05,
               "interest_rate":0.06342187503569374,
               "current_spot":58026.01780838792
            },
            {
               "strike":95972.58584942963,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.7922110861857629,
               "delta":0.0031285593939101575,
               "gamma":9.243683297678397e-07,
               "interest_rate":0.06342187503569374,
               "current_spot":58026.01780838792
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-10-07T23:12:00.000Z",
         "time_to_expiry":0.07,
         "implied_volatilities":[
            {
               "strike":35360.71890845669,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.828127141031331,
               "delta":0.9916123215219155,
               "gamma":1.7972889965676697e-06,
               "interest_rate":0.06728679739793171,
               "current_spot":58026.01780838783
            },
            {
               "strike":58299.96941162078,
               "forward_log_moneyness":0,
               "implied_volatility":0.5164706953874756,
               "delta":0.5272356033058659,
               "gamma":5.0197042263844037e-05,
               "interest_rate":0.06728679739793171,
               "current_spot":58026.01780838783
            },
            {
               "strike":96120.39965010602,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.7464559932842119,
               "delta":0.0074875726771543305,
               "gamma":1.8044884826225764e-06,
               "interest_rate":0.06728679739793171,
               "current_spot":58026.01780838783
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-10-15T06:24:00.000Z",
         "time_to_expiry":0.09000000000000001,
         "implied_volatilities":[
            {
               "strike":35408.60142607324,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.7910724424510162,
               "delta":0.986976336148381,
               "gamma":2.4347028120210604e-06,
               "interest_rate":0.06736973218397824,
               "current_spot":58026.01780838783
            },
            {
               "strike":58378.914336909846,
               "forward_log_moneyness":0,
               "implied_volatility":0.517020500780755,
               "delta":0.5309082147347206,
               "gamma":4.4192790606748824e-05,
               "interest_rate":0.06736973218397824,
               "current_spot":58026.01780838783
            },
            {
               "strike":96250.55782764393,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.7137227872343034,
               "delta":0.012936414946896013,
               "gamma":2.6829260079941945e-06,
               "interest_rate":0.06736973218397824,
               "current_spot":58026.01780838783
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-10-22T13:36:00.000Z",
         "time_to_expiry":0.11000000000000001,
         "implied_volatilities":[
            {
               "strike":35456.666405622804,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.7665601461136989,
               "delta":0.9818598165540046,
               "gamma":3.020625727200306e-06,
               "interest_rate":0.06745266697002476,
               "current_spot":58026.01780838783
            },
            {
               "strike":58458.16009106899,
               "forward_log_moneyness":0,
               "implied_volatility":0.5173700727313382,
               "delta":0.5341857547297713,
               "gamma":3.9919988877804825e-05,
               "interest_rate":0.06745266697002476,
               "current_spot":58026.01780838783
            },
            {
               "strike":96381.21198813876,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6920869662211807,
               "delta":0.019532251867923345,
               "gamma":3.5628982792173914e-06,
               "interest_rate":0.06745266697002476,
               "current_spot":58026.01780838783
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-10-29T20:48:00.000Z",
         "time_to_expiry":0.13,
         "implied_volatilities":[
            {
               "strike":35508.422803157875,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.746694177498397,
               "delta":0.9768034365375131,
               "gamma":3.5131108017826186e-06,
               "interest_rate":0.06829567333489632,
               "current_spot":58026.01780838791
            },
            {
               "strike":58543.491964579865,
               "forward_log_moneyness":0,
               "implied_volatility":0.5441431140622193,
               "delta":0.5390722837426289,
               "gamma":3.4874826454214145e-05,
               "interest_rate":0.06829567333489632,
               "current_spot":58026.01780838791
            },
            {
               "strike":96521.90046306486,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6973828419830258,
               "delta":0.031246311790620984,
               "gamma":4.823365346327674e-06,
               "interest_rate":0.06829567333489632,
               "current_spot":58026.01780838791
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-11-06T04:00:00.000Z",
         "time_to_expiry":0.15,
         "implied_volatilities":[
            {
               "strike":35563.92832597037,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.7304703931953009,
               "delta":0.9718561610549586,
               "gamma":3.930583791623972e-06,
               "interest_rate":0.06960254691331551,
               "current_spot":58026.01780838791
            },
            {
               "strike":58635.005100682145,
               "forward_log_moneyness":0,
               "implied_volatility":0.5760490651462036,
               "delta":0.544410454345521,
               "gamma":3.0625222152157556e-05,
               "interest_rate":0.06960254691331551,
               "current_spot":58026.01780838791
            },
            {
               "strike":96672.78011710517,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.7118768487498811,
               "delta":0.04690301547513481,
               "gamma":6.125288885966162e-06,
               "interest_rate":0.06960254691331551,
               "current_spot":58026.01780838791
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-11-13T11:12:00.000Z",
         "time_to_expiry":0.16999999999999998,
         "implied_volatilities":[
            {
               "strike":35623.626386079304,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.721718174050619,
               "delta":0.9663040517680004,
               "gamma":4.33754130982732e-06,
               "interest_rate":0.07127992585463479,
               "current_spot":58026.01780838777
            },
            {
               "strike":58733.43056220328,
               "forward_log_moneyness":0,
               "implied_volatility":0.5835725414364753,
               "delta":0.5478798467004804,
               "gamma":2.8367707863728314e-05,
               "interest_rate":0.07127992585463479,
               "current_spot":58026.01780838777
            },
            {
               "strike":96835.05626909353,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.7074557803269064,
               "delta":0.05840625886740114,
               "gamma":6.890948711664006e-06,
               "interest_rate":0.07127992585463479,
               "current_spot":58026.01780838777
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-11-20T18:24:00.000Z",
         "time_to_expiry":0.18999999999999997,
         "implied_volatilities":[
            {
               "strike":35686.87925583984,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.7162150934457168,
               "delta":0.9605989719092229,
               "gamma":4.698978158615397e-06,
               "interest_rate":0.07311368692964569,
               "current_spot":58026.01780838777
            },
            {
               "strike":58837.7169140103,
               "forward_log_moneyness":0,
               "implied_volatility":0.5834532939997044,
               "delta":0.5505933941119975,
               "gamma":2.6815897656471405e-05,
               "interest_rate":0.07311368692964569,
               "current_spot":58026.01780838777
            },
            {
               "strike":97006.99539556148,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6980481728670079,
               "delta":0.06796372312397003,
               "gamma":7.4336889324488815e-06,
               "interest_rate":0.07311368692964569,
               "current_spot":58026.01780838777
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-11-28T01:36:00.000Z",
         "time_to_expiry":0.20999999999999996,
         "implied_volatilities":[
            {
               "strike":35752.86682905489,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.7117290547935944,
               "delta":0.9550655806596073,
               "gamma":5.0025339575499e-06,
               "interest_rate":0.07494744800465658,
               "current_spot":58026.01780838777
            },
            {
               "strike":58946.51202957184,
               "forward_log_moneyness":0,
               "implied_volatility":0.5833567425067311,
               "delta":0.553165792670529,
               "gamma":2.548960158194958e-05,
               "interest_rate":0.07494744800465658,
               "current_spot":58026.01780838777
            },
            {
               "strike":97186.36821673607,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6903385981988979,
               "delta":0.07746421798228281,
               "gamma":7.903447063197836e-06,
               "interest_rate":0.07494744800465658,
               "current_spot":58026.01780838777
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-12-05T08:48:00.000Z",
         "time_to_expiry":0.22999999999999995,
         "implied_volatilities":[
            {
               "strike":35812.19117271369,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.7003313174745773,
               "delta":0.9512015953587601,
               "gamma":5.190199441737905e-06,
               "interest_rate":0.0756386005296464,
               "current_spot":58026.017808387885
            },
            {
               "strike":59044.32133683242,
               "forward_log_moneyness":0,
               "implied_volatility":0.5832516696271334,
               "delta":0.5556142376297987,
               "gamma":2.4339914970530187e-05,
               "interest_rate":0.0756386005296464,
               "current_spot":58026.017808387885
            },
            {
               "strike":97347.62850208905,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6847615396060961,
               "delta":0.0871790227762283,
               "gamma":8.32207559076525e-06,
               "interest_rate":0.0756386005296464,
               "current_spot":58026.017808387885
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-12-12T16:00:00.000Z",
         "time_to_expiry":0.24999999999999994,
         "implied_volatilities":[
            {
               "strike":35870.454419064496,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6890995916966378,
               "delta":0.9477527318136644,
               "gamma":5.3422925542408805e-06,
               "interest_rate":0.076089868386676,
               "current_spot":58026.017808387885
            },
            {
               "strike":59140.38119039104,
               "forward_log_moneyness":0,
               "implied_volatility":0.5831585060645141,
               "delta":0.5579562673771701,
               "gamma":2.332998570562908e-05,
               "interest_rate":0.076089868386676,
               "current_spot":58026.017808387885
            },
            {
               "strike":97506.00442591147,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6802080704226982,
               "delta":0.09678568327529857,
               "gamma":8.68254579910703e-06,
               "interest_rate":0.076089868386676,
               "current_spot":58026.017808387885
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-12-19T23:12:00.000Z",
         "time_to_expiry":0.26999999999999996,
         "implied_volatilities":[
            {
               "strike":35929.46100111083,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6793853817266143,
               "delta":0.9444046325229148,
               "gamma":5.476954016936011e-06,
               "interest_rate":0.07654113624370561,
               "current_spot":58026.017808387885
            },
            {
               "strike":59237.666597322146,
               "forward_log_moneyness":0,
               "implied_volatility":0.5830791327701744,
               "delta":0.5602047706056178,
               "gamma":2.2433334744525613e-05,
               "interest_rate":0.07654113624370561,
               "current_spot":58026.017808387885
            },
            {
               "strike":97666.4009456475,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6763050082388905,
               "delta":0.10618110384420681,
               "gamma":8.98967405231349e-06,
               "interest_rate":0.07654113624370561,
               "current_spot":58026.017808387885
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2024-12-27T06:24:00.000Z",
         "time_to_expiry":0.29,
         "implied_volatilities":[
            {
               "strike":35989.21427362662,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.670898179511778,
               "delta":0.9411587869242752,
               "gamma":5.595987585552628e-06,
               "interest_rate":0.07699240410073521,
               "current_spot":58026.017808387885
            },
            {
               "strike":59336.18308871287,
               "forward_log_moneyness":0,
               "implied_volatility":0.5830106988432193,
               "delta":0.562369866190329,
               "gamma":2.163016442831909e-05,
               "interest_rate":0.07699240410073521,
               "current_spot":58026.017808387885
            },
            {
               "strike":97828.82718051813,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.672922129747721,
               "delta":0.11534592709962938,
               "gamma":9.250622938852245e-06,
               "interest_rate":0.07699240410073521,
               "current_spot":58026.017808387885
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-01-03T13:36:00.000Z",
         "time_to_expiry":0.31,
         "implied_volatilities":[
            {
               "strike":36048.92648425896,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6679678626792047,
               "delta":0.9370374303516131,
               "gamma":5.7317087485274615e-06,
               "interest_rate":0.07737287709195237,
               "current_spot":58026.01780838792
            },
            {
               "strike":59434.63188050294,
               "forward_log_moneyness":0,
               "implied_volatility":0.5859817537938207,
               "delta":0.5647921240926812,
               "gamma":2.0794233277177758e-05,
               "interest_rate":0.07737287709195237,
               "current_spot":58026.01780838792
            },
            {
               "strike":97991.14179761717,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6700214502235391,
               "delta":0.12429742545143802,
               "gamma":9.472272436634292e-06,
               "interest_rate":0.07737287709195237,
               "current_spot":58026.01780838792
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-01-10T20:48:00.000Z",
         "time_to_expiry":0.33,
         "implied_volatilities":[
            {
               "strike":36109.279532657514,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.665421495511619,
               "delta":0.933083062177843,
               "gamma":5.846592519268601e-06,
               "interest_rate":0.07775269759592703,
               "current_spot":58026.01780838792
            },
            {
               "strike":59534.137235149225,
               "forward_log_moneyness":0,
               "implied_volatility":0.5886063557855834,
               "delta":0.5671269691023384,
               "gamma":2.004462300938605e-05,
               "interest_rate":0.07775269759592703,
               "current_spot":58026.01780838792
            },
            {
               "strike":98155.19839237105,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6674624799068604,
               "delta":0.13300206105083862,
               "gamma":9.659172856765809e-06,
               "interest_rate":0.07775269759592703,
               "current_spot":58026.01780838792
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-01-18T04:00:00.000Z",
         "time_to_expiry":0.35000000000000003,
         "implied_volatilities":[
            {
               "strike":36170.28314845455,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.663157976626766,
               "delta":0.9293008214530067,
               "gamma":5.943148361810485e-06,
               "interest_rate":0.07813251809990168,
               "current_spot":58026.01780838792
            },
            {
               "strike":59634.715194103424,
               "forward_log_moneyness":0,
               "implied_volatility":0.5909212683245534,
               "delta":0.5693803754632355,
               "gamma":1.936814930861872e-05,
               "interest_rate":0.07813251809990168,
               "current_spot":58026.01780838792
            },
            {
               "strike":98321.02341266243,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6651877423695867,
               "delta":0.1414595798208534,
               "gamma":9.815998071595665e-06,
               "interest_rate":0.07813251809990168,
               "current_spot":58026.01780838792
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-01-25T11:12:00.000Z",
         "time_to_expiry":0.37000000000000005,
         "implied_volatilities":[
            {
               "strike":36231.940285943245,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6611326243186885,
               "delta":0.9256851893716047,
               "gamma":6.023814573471915e-06,
               "interest_rate":0.07851233860387634,
               "current_spot":58026.01780838792
            },
            {
               "strike":59736.37062817149,
               "forward_log_moneyness":0,
               "implied_volatility":0.5929782956406244,
               "delta":0.5715600409220507,
               "gamma":1.8753574858502585e-05,
               "interest_rate":0.07851233860387634,
               "current_spot":58026.01780838792
            },
            {
               "strike":98488.62488909272,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6631523393765039,
               "delta":0.14967305594856423,
               "gamma":9.946767024463076e-06,
               "interest_rate":0.07851233860387634,
               "current_spot":58026.01780838792
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-02-01T18:24:00.000Z",
         "time_to_expiry":0.39000000000000007,
         "implied_volatilities":[
            {
               "strike":36294.253934242304,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6593097032020858,
               "delta":0.9222298621699195,
               "gamma":6.0906856436348864e-06,
               "interest_rate":0.078892159107851,
               "current_spot":58026.01780838792
            },
            {
               "strike":59839.1084655771,
               "forward_log_moneyness":0,
               "implied_volatility":0.5948182891227818,
               "delta":0.5736725146086658,
               "gamma":1.8191942175051474e-05,
               "interest_rate":0.078892159107851,
               "current_spot":58026.01780838792
            },
            {
               "strike":98658.01094692905,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.66132036197531,
               "delta":0.15764765226901595,
               "gamma":1.0054928929661422e-05,
               "interest_rate":0.078892159107851,
               "current_spot":58026.01780838792
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-02-09T01:36:00.000Z",
         "time_to_expiry":0.4100000000000001,
         "implied_volatilities":[
            {
               "strike":36357.22711753722,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6576602906296823,
               "delta":0.9189281108901203,
               "gamma":6.1455615675798424e-06,
               "interest_rate":0.07927197961182565,
               "current_spot":58026.01780838792
            },
            {
               "strike":59942.93369235912,
               "forward_log_moneyness":0,
               "implied_volatility":0.5964738987014115,
               "delta":0.575723423789942,
               "gamma":1.7676011260266423e-05,
               "interest_rate":0.07927197961182565,
               "current_spot":58026.01780838792
            },
            {
               "strike":98829.18980675985,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6596627467523394,
               "delta":0.16538991558862898,
               "gamma":1.0143445719822414e-05,
               "interest_rate":0.07927197961182565,
               "current_spot":58026.01780838792
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-02-16T08:48:00.000Z",
         "time_to_expiry":0.4300000000000001,
         "implied_volatilities":[
            {
               "strike":36420.862895324484,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6561607262105765,
               "delta":0.9157730321464483,
               "gamma":6.189991001937826e-06,
               "interest_rate":0.07965180011580031,
               "current_spot":58026.01780838792
            },
            {
               "strike":60047.851352774516,
               "forward_log_moneyness":0,
               "implied_volatility":0.5979715339788125,
               "delta":0.5777176461052483,
               "gamma":1.7199858018997315e-05,
               "interest_rate":0.07965180011580031,
               "current_spot":58026.01780838792
            },
            {
               "strike":99002.16978515883,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6581557179455457,
               "delta":0.1729072679589228,
               "gamma":1.0214863966935872e-05,
               "interest_rate":0.07965180011580031,
               "current_spot":58026.01780838792
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-02-23T16:00:00.000Z",
         "time_to_expiry":0.4500000000000001,
         "implied_volatilities":[
            {
               "strike":36485.16436265892,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6547914665280272,
               "delta":0.9127577211883326,
               "gamma":6.2253084481009406e-06,
               "interest_rate":0.08003162061977497,
               "current_spot":58026.01780838792
            },
            {
               "strike":60153.86654970605,
               "forward_log_moneyness":0,
               "implied_volatility":0.5993327879770832,
               "delta":0.5796594424988346,
               "gamma":1.675858179880843e-05,
               "interest_rate":0.08003162061977497,
               "current_spot":58026.01780838792
            },
            {
               "strike":99176.95929535729,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6567796366780594,
               "delta":0.18020764009820367,
               "gamma":1.0271376702403038e-05,
               "interest_rate":0.08003162061977497,
               "current_spot":58026.01780838792
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-03-02T23:12:00.000Z",
         "time_to_expiry":0.47000000000000014,
         "implied_volatilities":[
            {
               "strike":36550.13465040425,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6535362266196858,
               "delta":0.9098753894923948,
               "gamma":6.252665991544482e-06,
               "interest_rate":0.08041144112374962,
               "current_spot":58026.01780838792
            },
            {
               "strike":60260.984445075286,
               "forward_log_moneyness":0,
               "implied_volatility":0.6005754878888658,
               "delta":0.5815525612864333,
               "gamma":1.6348088653525164e-05,
               "interest_rate":0.08041144112374962,
               "current_spot":58026.01780838792
            },
            {
               "strike":99353.56684792519,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6555181383175726,
               "delta":0.18729920827677043,
               "gamma":1.031487608695086e-05,
               "interest_rate":0.08041144112374962,
               "current_spot":58026.01780838792
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-03-10T06:24:00.000Z",
         "time_to_expiry":0.49000000000000016,
         "implied_volatilities":[
            {
               "strike":36615.776925486694,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6523813277758325,
               "delta":0.9071194427368175,
               "gamma":6.273060245473111e-06,
               "interest_rate":0.08079126162772428,
               "current_spot":58026.01780838792
            },
            {
               "strike":60369.210260260865,
               "forward_log_moneyness":0,
               "implied_volatility":0.6017144821238312,
               "delta":0.583400320667559,
               "gamma":1.5964928197398504e-05,
               "interest_rate":0.08079126162772428,
               "current_spot":58026.01780838792
            },
            {
               "strike":99532.00105146051,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6543574771371616,
               "delta":0.1941902067286228,
               "gamma":1.0346998054360535e-05,
               "interest_rate":0.08079126162772428,
               "current_spot":58026.01780838792
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-03-17T13:36:00.000Z",
         "time_to_expiry":0.5100000000000001,
         "implied_volatilities":[
            {
               "strike":36682.09439115184,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6513151960169534,
               "delta":0.9044835305051513,
               "gamma":6.287355155072169e-06,
               "interest_rate":0.08117108213169894,
               "current_spot":58026.01780838792
            },
            {
               "strike":60478.54927652192,
               "forward_log_moneyness":0,
               "implied_volatility":0.6027622377978934,
               "delta":0.5852056749019943,
               "gamma":1.5606169060981268e-05,
               "interest_rate":0.08117108213169894,
               "current_spot":58026.01780838792
            },
            {
               "strike":99712.27061328752,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6532860223753855,
               "delta":0.2008887953224186,
               "gamma":1.0369160048689091e-05,
               "interest_rate":0.08117108213169894,
               "current_spot":58026.01780838792
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-03-24T20:48:00.000Z",
         "time_to_expiry":0.5300000000000001,
         "implied_volatilities":[
            {
               "strike":36749.09028722471,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6503279721292464,
               "delta":0.9019615758689511,
               "gamma":6.296301273094999e-06,
               "interest_rate":0.08155090263567359,
               "current_spot":58026.01780838792
            },
            {
               "strike":60589.006835426866,
               "forward_log_moneyness":0,
               "implied_volatility":0.6037292998953473,
               "delta":0.586971267938301,
               "gamma":1.5269302598076197e-05,
               "interest_rate":0.08155090263567359,
               "current_spot":58026.01780838792
            },
            {
               "strike":99894.38434016371,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6522938663885004,
               "delta":0.20740296772284422,
               "gamma":1.038259288783101e-05,
               "interest_rate":0.08155090263567359,
               "current_spot":58026.01780838792
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-04-01T04:00:00.000Z",
         "time_to_expiry":0.5500000000000002,
         "implied_volatilities":[
            {
               "strike":36809.60921966647,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6490684971001264,
               "delta":0.8996219124555145,
               "gamma":6.30048417032778e-06,
               "interest_rate":0.08157716058576774,
               "current_spot":58026.017808387805
            },
            {
               "strike":60688.78568662366,
               "forward_log_moneyness":0,
               "implied_volatility":0.6049428293550925,
               "delta":0.5887453775459217,
               "gamma":1.4943907780518931e-05,
               "interest_rate":0.08157716058576774,
               "current_spot":58026.017808387805
            },
            {
               "strike":100058.89185449791,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6521575799088905,
               "delta":0.21418835264707525,
               "gamma":1.0388513057777013e-05,
               "interest_rate":0.08157716058576774,
               "current_spot":58026.017808387805
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-04-08T11:12:00.000Z",
         "time_to_expiry":0.5700000000000002,
         "implied_volatilities":[
            {
               "strike":36863.54740678996,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.64759546683631,
               "delta":0.8974431026219174,
               "gamma":6.300823350990473e-06,
               "interest_rate":0.0812836750088743,
               "current_spot":58026.017808387805
            },
            {
               "strike":60777.714723037156,
               "forward_log_moneyness":0,
               "implied_volatility":0.606346016857856,
               "delta":0.5905230273552948,
               "gamma":1.4630257665894388e-05,
               "interest_rate":0.0812836750088743,
               "current_spot":58026.017808387805
            },
            {
               "strike":100205.5110484157,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6527152522301968,
               "delta":0.22117289968756865,
               "gamma":1.0386452374519812e-05,
               "interest_rate":0.0812836750088743,
               "current_spot":58026.017808387805
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-04-15T18:24:00.000Z",
         "time_to_expiry":0.5900000000000002,
         "implied_volatilities":[
            {
               "strike":36917.1312427359,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6462192790718065,
               "delta":0.8953508761040165,
               "gamma":6.297918867785276e-06,
               "interest_rate":0.08099018943198087,
               "current_spot":58026.017808387805
            },
            {
               "strike":60866.059533126936,
               "forward_log_moneyness":0,
               "implied_volatility":0.6076511548413593,
               "delta":0.5922640547697162,
               "gamma":1.4334405083399179e-05,
               "interest_rate":0.08099018943198087,
               "current_spot":58026.017808387805
            },
            {
               "strike":100351.16701596668,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6532346874905771,
               "delta":0.22795012326304553,
               "gamma":1.0376959894678083e-05,
               "interest_rate":0.08099018943198087,
               "current_spot":58026.017808387805
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-04-23T01:36:00.000Z",
         "time_to_expiry":0.6100000000000002,
         "implied_volatilities":[
            {
               "strike":36970.35895343557,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6449306790806686,
               "delta":0.8933411185184987,
               "gamma":6.2921394594514046e-06,
               "interest_rate":0.08069670385508745,
               "current_spot":58026.017808387805
            },
            {
               "strike":60953.81719194817,
               "forward_log_moneyness":0,
               "implied_volatility":0.6088681815475112,
               "delta":0.5939704987428261,
               "gamma":1.4054709872270769e-05,
               "interest_rate":0.08069670385508745,
               "current_spot":58026.017808387805
            },
            {
               "strike":100495.85493473208,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6537196883970442,
               "delta":0.23453002315141752,
               "gamma":1.0361048449078726e-05,
               "interest_rate":0.08069670385508745,
               "current_spot":58026.017808387805
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-04-30T08:48:00.000Z",
         "time_to_expiry":0.6300000000000002,
         "implied_volatilities":[
            {
               "strike":37023.22877480308,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6437215559192604,
               "delta":0.891409932987744,
               "gamma":6.283811248537111e-06,
               "interest_rate":0.08040321827819402,
               "current_spot":58026.017808387805
            },
            {
               "strike":61040.98479101488,
               "forward_log_moneyness":0,
               "implied_volatility":0.6100057349755975,
               "delta":0.5956442136783187,
               "gamma":1.378973638032665e-05,
               "interest_rate":0.08040321827819402,
               "current_spot":58026.017808387805
            },
            {
               "strike":100639.57000942926,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6541735695387509,
               "delta":0.24092208068616,
               "gamma":1.033959165727875e-05,
               "interest_rate":0.08040321827819402,
               "current_spot":58026.017808387805
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-05-07T16:00:00.000Z",
         "time_to_expiry":0.6500000000000002,
         "implied_volatilities":[
            {
               "strike":37075.7389528326,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6425847708932765,
               "delta":0.8895536319029893,
               "gamma":6.273223151306557e-06,
               "interest_rate":0.08010973270130059,
               "current_spot":58026.017808387805
            },
            {
               "strike":61127.559438460405,
               "forward_log_moneyness":0,
               "implied_volatility":0.611071358945577,
               "delta":0.5972868920481528,
               "gamma":1.353822178517538e-05,
               "interest_rate":0.08010973270130059,
               "current_spot":58026.017808387805
            },
            {
               "strike":100782.30747217605,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6545992332787502,
               "delta":0.24713526484222675,
               "gamma":1.031334487396154e-05,
               "interest_rate":0.08010973270130059,
               "current_spot":58026.017808387805
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-05-14T23:12:00.000Z",
         "time_to_expiry":0.6700000000000003,
         "implied_volatilities":[
            {
               "strike":37127.88774369526,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6415140160163469,
               "delta":0.8877687277943976,
               "gamma":6.260631535694374e-06,
               "interest_rate":0.07981624712440716,
               "current_spot":58026.017808387805
            },
            {
               "strike":61213.53825919696,
               "forward_log_moneyness":0,
               "implied_volatility":0.612071671149257,
               "delta":0.5989000835645941,
               "gamma":1.3299050215267482e-05,
               "interest_rate":0.07981624712440716,
               "current_spot":58026.017808387805
            },
            {
               "strike":100924.06258275412,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.65499923191197,
               "delta":0.25317804599616633,
               "gamma":1.0282962689178526e-05,
               "interest_rate":0.07981624712440716,
               "current_spot":58026.017808387805
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-05-22T06:24:00.000Z",
         "time_to_expiry":0.6900000000000003,
         "implied_volatilities":[
            {
               "strike":37179.67341383548,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6405036965118509,
               "delta":0.8860519237238551,
               "gamma":6.246264239749656e-06,
               "interest_rate":0.07952276154751373,
               "current_spot":58026.017808387805
            },
            {
               "strike":61298.918395074594,
               "forward_log_moneyness":0,
               "implied_volatility":0.6130125011315778,
               "delta":0.6004852115270767,
               "gamma":1.3071231456072592e-05,
               "interest_rate":0.07952276154751373,
               "current_spot":58026.017808387805
            },
            {
               "strike":101064.83062887086,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6553758189043412,
               "delta":0.2590584146129957,
               "gamma":1.0249013592927193e-05,
               "interest_rate":0.07952276154751373,
               "current_spot":58026.017808387805
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-05-29T13:36:00.000Z",
         "time_to_expiry":0.7100000000000003,
         "implied_volatilities":[
            {
               "strike":37231.0942400669,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6395488327214849,
               "delta":0.8844001035011674,
               "gamma":6.230324045352499e-06,
               "interest_rate":0.0792292759706203,
               "current_spot":58026.017808387805
            },
            {
               "strike":61383.69700503932,
               "forward_log_moneyness":0,
               "implied_volatility":0.6138990043014603,
               "delta":0.6020435868367855,
               "gamma":1.2853883311090034e-05,
               "interest_rate":0.0792292759706203,
               "current_spot":58026.017808387805
            },
            {
               "strike":101204.60692642008,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6557309913873326,
               "delta":0.26478390290780807,
               "gamma":1.0211992300442549e-05,
               "interest_rate":0.0792292759706203,
               "current_spot":58026.017808387805
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-06-05T20:48:00.000Z",
         "time_to_expiry":0.7300000000000003,
         "implied_volatilities":[
            {
               "strike":37282.14850966782,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6386449777790982,
               "delta":0.8828103219385111,
               "gamma":6.212991687141015e-06,
               "interest_rate":0.07893579039372686,
               "current_spot":58026.017808387805
            },
            {
               "strike":61467.87126529042,
               "forward_log_moneyness":0,
               "implied_volatility":0.6147357566966473,
               "delta":0.6035764200733317,
               "gamma":1.2646216898623222e-05,
               "interest_rate":0.07893579039372686,
               "current_spot":58026.017808387805
            },
            {
               "strike":101343.38681974151,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6560665256009832,
               "delta":0.27036160810226006,
               "gamma":1.0172330142380753e-05,
               "interest_rate":0.07893579039372686,
               "current_spot":58026.017808387805
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-06-13T04:00:00.000Z",
         "time_to_expiry":0.7500000000000003,
         "implied_volatilities":[
            {
               "strike":37332.83452047616,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6377881481692333,
               "delta":0.8812797952940707,
               "gamma":6.1944284641286705e-06,
               "interest_rate":0.07864230481683343,
               "current_spot":58026.017808387805
            },
            {
               "strike":61551.43836943706,
               "forward_log_moneyness":0,
               "implied_volatility":0.6155268341913215,
               "delta":0.6050848319514089,
               "gamma":1.244752432371126e-05,
               "interest_rate":0.07864230481683343,
               "current_spot":58026.017808387805
            },
            {
               "strike":101481.16568187889,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.656384006613938,
               "delta":0.27579821630855184,
               "gamma":1.0130403849647117e-05,
               "interest_rate":0.07864230481683343,
               "current_spot":58026.017808387805
            }
         ]
      },
      {
         "value_time":"2024-09-12T10:00:00.000Z",
         "expiry":"2025-06-20T11:12:00.000Z",
         "time_to_expiry":0.7700000000000004,
         "implied_volatilities":[
            {
               "strike":37383.15058098387,
               "forward_log_moneyness":-0.5,
               "implied_volatility":0.6369747648763131,
               "delta":0.8798058920082439,
               "gamma":6.174778511045466e-06,
               "interest_rate":0.07834881923994,
               "current_spot":58026.017808387805
            },
            {
               "strike":61634.39552865396,
               "forward_log_moneyness":0,
               "implied_volatility":0.6162758790483663,
               "delta":0.6065698624154641,
               "gamma":1.2257168284623043e-05,
               "interest_rate":0.07834881923994,
               "current_spot":58026.017808387805
            },
            {
               "strike":101617.93891483666,
               "forward_log_moneyness":0.5,
               "implied_volatility":0.6566848533704227,
               "delta":0.2811000263712149,
               "gamma":1.0086543002522495e-05,
               "interest_rate":0.07834881923994,
               "current_spot":58026.017808387805
            }
         ]
      }
   ],
   "result":"success",
   "access":{
      "access_range":{
         "start_timestamp":1262304000000,
         "end_timestamp":1924991999000
      },
      "data_range":{
         "start_timestamp":1262304000000,
         "end_timestamp":1924991999000
      }
   }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kaiko.com/rest-api/analytics/derivatives-risk-indicators/implied-volatility-calculation-surface.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
